### Function

# Atspi KeyCallback

#### Declaration

    void
    (* AtspiKeyCallback) (
      AtspiDevice* device,
      gboolean pressed,
      guint keycode,
      guint keysym,
      guint modifiers,
      const gchar* keystring,
      void* user_data
    )

#### Description [src]

A callback that will be invoked when a key is pressed.

#### Parameters

`device`

  Type: `AtspiDevice`

  The device.

  The data is owned by the caller of the function.

`pressed`

  Type: `gboolean`

  TRUE if the key is being pressed, FALSE if being released.

`keycode`

  Type: `guint`

  The hardware code for the key.

`keysym`

  Type: `guint`

  The keysym for the key.

`modifiers`

  Type: `guint`

  A bitflag indicating which key modifiers are active.

`keystring`

  Type: `const gchar*`

  The text corresponding to the keypress.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `void*`

  User-supplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.